Page MenuHomePhabricator

Create Moroccan Arabic Wikipedia
Closed, ResolvedPublic

Description

The language committee has approved the creation of Moroccan Wikipedia.

  • Local file uploads: yes

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki ary wikipedia arywiki ary.wikipedia.org
On deploy1001:
scap sync-file dblists "Creating arywiki (T257674)"
scap sync-wikiversions "Creating arywiki (T257674)"
scap sync-file wmf-config/InitialiseSettings.php "Creating arywiki (T257674)"
scap sync-file static/images/project-logos/ "Creating arywiki (T257674)"
scap sync-file langlist "Creating arywiki (T257674)"
scap update-interwiki-cache

End of automatic output

Event Timeline

Nintendofan885 changed the task status from Open to Stalled.EditedJul 10 2020, 2:19 PM

stall until configuration is decided on

Reedy renamed this task from Create Wikipedia Moroccan to Create Moroccan Wikipedia.Jul 10 2020, 2:21 PM
Reedy updated the task description. (Show Details)
MF-Warburg renamed this task from Create Moroccan Wikipedia to Create Moroccan Arabic Wikipedia.Jul 10 2020, 3:45 PM

stall until configuration is decided on

What's this? Can you maybe just let it be up to Langcom members to file these requests after the necessary consultations are done? It is not for no reason that I only created the bug for Ligurian Wikisource while asking again at https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Moroccan to make sure the configuration details are correct from the start instead of confusion like this.

stall until configuration is decided on

What's this? Can you maybe just let it be up to Langcom members to file these requests after the necessary consultations are done? It is not for no reason that I only created the bug for Ligurian Wikisource while asking again at https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Moroccan to make sure the configuration details are correct from the start instead of confusion like this.

Oh sorry

Ladsgroup changed the task status from Stalled to Open.Jul 10 2020, 8:38 PM

Change 611426 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Add ary language

https://gerrit.wikimedia.org/r/611426

Change 611432 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Add messages for arywiki

https://gerrit.wikimedia.org/r/611432

Change 611432 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for arywiki

https://gerrit.wikimedia.org/r/611432

@MF-Warburg I assume this is ready? Uploaded the DNS patch and WikimediaMessages patch already, since the domain name/project name isn't likely to change.

Change 611833 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Fix a typo in arywiki's message

https://gerrit.wikimedia.org/r/611833

Change 611833 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Fix a typo in arywiki's message

https://gerrit.wikimedia.org/r/611833

@MF-Warburg I assume this is ready? Uploaded the DNS patch and WikimediaMessages patch already, since the domain name/project name isn't likely to change.

Yes, the configuration details were confirmed by the community.

@MF-Warburg Could I ask for the logo in SVG format, please?

Change 611934 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for arywiki

https://gerrit.wikimedia.org/r/611934

Change 611426 merged by Dzahn:
[operations/dns@master] Add ary language

https://gerrit.wikimedia.org/r/611426

New language added to DNS. zone files got recreated from langlist.tmpl.

ary.wikipedia.org is an alias for dyna.wikimedia.org.

@MF-Warburg Could I ask for the logo in SVG format, please?

Changed the logo to an SVG version

Thanks @MF-Warburg, added to the patch. This is fully ready then :).

Change 611934 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for arywiki

https://gerrit.wikimedia.org/r/611934

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:16:23Z] <urbanecm@deploy1001> Synchronized dblists: Creating arywiki (T257674) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:17:52Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating arywiki (T257674)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:19:21Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: Creating arywiki (T257674) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:20:35Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating arywiki (T257674) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:21:38Z] <urbanecm@deploy1001> Synchronized langlist: Creating arywiki (T257674) (duration: 00m 56s)

Change 614733 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add arywiki to rtl.dblist

https://gerrit.wikimedia.org/r/614733

Change 614733 merged by jenkins-bot:
[operations/mediawiki-config@master] Add arywiki to rtl.dblist

https://gerrit.wikimedia.org/r/614733

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:28:20Z] <urbanecm@deploy1001> Synchronized dblists/rtl.dblist: Add arywiki to rtl.dblist (T257674) (duration: 00m 57s)

Change 614739 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver@master] Add Moroccan Arabic (ary) to config

https://gerrit.wikimedia.org/r/614739

Change 614740 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[analytics/refinery@master] Add newly created wikis to the whitelist

https://gerrit.wikimedia.org/r/614740

Change 614742 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add newly created wikis

https://gerrit.wikimedia.org/r/614742

Change 614740 abandoned by Urbanecm:
[analytics/refinery@master] Add newly created wikis to the whitelist

Reason:
I see this was already merged as https://gerrit.wikimedia.org/r/613655 :)

https://gerrit.wikimedia.org/r/614740

Change 614739 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add Moroccan Arabic (ary) to config

https://gerrit.wikimedia.org/r/614739

jhsoby added a subscriber: jhsoby.

All content has been imported from the Incubator.

Change 615150 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2020-07-20-200559-production

https://gerrit.wikimedia.org/r/615150

Change 614742 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Add newly created wikis

https://gerrit.wikimedia.org/r/614742

Change 615150 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2020-07-20-200559-production

https://gerrit.wikimedia.org/r/615150

Mentioned in SAL (#wikimedia-operations) [2020-07-22T08:30:18Z] <kart_> Updated cxserver to 2020-07-20-200559-production (T257674)